Subject: Re: bug#45571: Fwd: Re: bug#45571: Support stable uids and gids for all accounts

From: Jason Conroy <[email-masked]>
Date: Sat, 2 Jan 2021 10:03:59 -0500

Hi Danny,

On Sat, Jan 2, 2021 at 9:50 AM Danny Milosavljevic <[email-masked]>
wrote:

> > >From the solutions we do have so far, I believe that making user
> > > accounts an explicit part of service configuration (in what shape may
> > > still be up for debate),
>
> Not everything needs to be user configurable.  You suggest having these
> kinds
> of things especially user-configurable as a work-around for them not being
> stable, right?  Or do you want it in general?
>
> I would like to avoid them here, if only needed for that reason.
>
> Is there a need for using custom service UIDs?
> I think if so, that is independent of this bug report, which asked for
> stable UIDs and GIDs.
>

As far as I know, stability is sufficient for me, but Leo raised some cases
where specific values would ease migration. An /etc/passwd seed file seems
like another reasonable way to handle that, but I haven't investigated how
difficult this change would be compared adding new knobs in
operating-system.